Bug 58542 - RFE: KDE and GNOME menus
RFE: KDE and GNOME menus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-18 21:09 EST by Stephen John Smoogen
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-30 14:41:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen John Smoogen 2002-01-18 21:09:37 EST
Description of Problem:

The layout of both the GNOME and KDE menus can be difficult to navigate after a
certain number of packages have been installed. My KDE->System Menu covers a
1024x768 screen with several side menus, and my GNOME one isnt too far off. I
think there is a GUI design rule that the GNOME guys used to quote back in 1998
or so that you shouldnt have more than 7-8 entries to any one menu.

Thus I think much of this clutter could be cleared up with several smaller
sub-sub-menus. If a program has more than 2 entries in a menu, it should get its
own 'folder' (example.. Freeciv should have a subsection where its 3-5 entries go.)

The System menu might be better organized with entries like
KDE->System->KDE Desktop
KDE->System->Unix commands
KDE->System->Red Hat Utilities

Anyway food for thought.
Comment 1 Havoc Pennington 2002-01-18 22:05:07 EST
See http://www242.pair.com/nilsp/nils/panel/menus.html
for the GNOME plan
Comment 2 Gerald Teschl 2002-01-19 07:16:44 EST
I thynk the "System" entry should be split into user and root tools
(like bin <-> sbin) In particular, admins would be able to
remove read permissions for this directory so users who'don't need
them won't be bothered with them.
Comment 3 Stephen John Smoogen 2002-12-30 14:41:43 EST
This is 'fixed' in the 8.0 series.. 

Note You need to log in before you can comment on or make changes to this bug.